Bug 12604 - TestBuilder - Refactoring Category.t
Summary: TestBuilder - Refactoring Category.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Yohann Dufour
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 12603
Blocks:
  Show dependency treegraph
 
Reported: 2014-07-18 14:32 UTC by Yohann Dufour
Modified: 2015-12-03 22:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 12604: refactoring Category.t with TestBuilder (3.10 KB, patch)
2014-07-18 14:46 UTC, Yohann Dufour
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12604: refactoring Category.t with TestBuilder (3.17 KB, patch)
2014-07-25 12:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 12604: refactoring Category.t with TestBuilder (3.25 KB, patch)
2014-10-13 11:47 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Yohann Dufour 2014-07-18 14:32:40 UTC
In order to see what the module TestBuilder can bring to the writing of tests, the tests in Category.t have been refactored with the use of TestBuilder.
Comment 1 Yohann Dufour 2014-07-18 14:46:53 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2014-07-25 12:51:13 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2014-10-13 11:47:43 UTC
Created attachment 32287 [details] [review]
Bug 12604: refactoring Category.t with TestBuilder

The tests have been refactored with the module TestBuilder.

Test plan:
1/ Apply the patch 12603
2/ The command : prove t/db_dependent/Category.t has to be a success without error or warning :
t/db_dependent/Category.t .. ok
All tests successful.
Files=1, Tests=3,  1 wallclock secs ( 0.03 usr  0.01 sys +  1.05 cusr  0.05 csys =  1.14 CPU)
Result: PASS

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Tomás Cohen Arazi 2015-04-20 13:31:23 UTC
Patch pushed to master.

Thanks Yohann!